[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFields.FieldByNumber

Search field based on its fieldnumber

## Declaration

Source position: db.pas line 1100

`public function TFields.FieldByNumber(`
`FieldNo: Integer`
`):TField;`

## Arguments

`FieldNo` |  | Field number to search for

## Function result

Field instance with matching FieldNo property.

## Description

FieldByNumber searches for the field whose TField.FieldNo property matches the FieldNo parameter. If no such field is found, Nil is returned.

## See also

TFields.FieldByName |  | Find a field based on its name
TFields.FindField |  | Find a field based on its name
TFields.IndexOf |  | Return the index of a field instance

Documentation generated on: Feb 26 2014